#ifndef  SOFTWARE_I2C_H
#define  SOFTWARE_I2C_H
//------------------------------------------------------------------------------
#include "twoWire_Pins.h"
//NB: Very similar to i2c but NOT entirely 
//------------------------------------------------------------------------------
void twoWire_init()
{
  SCK_dir = 0;    //SCK is Output
  SDA_dir = 0;    //SDA is Output
  
  SCK = 0;
  SDA = 0;
}
//------------------------------------------------------------------------------
void twoWire_start()
{
  SCK = 1;
  SDA = 1;
  __delay_us(2);
  SDA = 0;
}
//------------------------------------------------------------------------------
void twoWire_stop()
{
  SCK = 0;
  __delay_us(2);
  SDA = 0;
  __delay_us(2);
  SCK = 1;
  __delay_us(2);
  SDA = 1;
}
//------------------------------------------------------------------------------
void twoWire_ack()
{
  SCK = 0;
  __delay_us(5);
  SCK = 1;
  __delay_us(2);
  SCK = 0;
}
//------------------------------------------------------------------------------
char twoWire_write(char data)
{
  for(char tx = 0 ; tx < 8 ; tx++)
  {
    SCK = 0;
    SDA = ((data >> tx) & 0x01) ? 1 : 0 ; //LSB first (Real 12c sends MSB first)
    SCK = 1;                              //Toggle SCK pin to latch data bit
    
    __delay_us(6);
  }
}
//------------------------------------------------------------------------------
#endif