/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 14 March 2023, 12:38 PM
 */

#define _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config_words.h"
#include "assets/DS18B20/DS18B20.h"
#include "assets/TM1637/TM1637.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    OSCCON =  0x70;       // set internal oscillator to 8MHz
    ANSELH = 0;           // configure all PORTB pins as digital
  
    TM1637_init(7);       // init with brightness value. Valid values: 0 - 8.
    
    while (1) 
    {
      signed int rawTemp = 0;
      
      if(ds18b20_read(&rawTemp))
      {
        signed int tempr = (signed int)(ds18b20_toFloat(rawTemp) * 10);
        TM1637_display(tempr);
      }
    }
    
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------